
Summary:	Free clone of Worms from Team17
Name:		wormux
Version:	0.9.2.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Games/Arcade
Url:		http://www.wormux.org/
Source0:	http://download.gna.org/wormux/%{name}-%{version}.tar.xz
Patch0:         wormux-0.8.3-cflags.patch
Patch1:         wormux-gcc47.patch
Patch2:         wormux-length-fix.patch
BuildRequires:	%{_lib}fribidi-devel
BuildRequires:	%{_lib}SDL_gfx-devel
BuildRequires:	%{_lib}xml++2.6-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_ttf-devel
BuildRequires:	%{_lib}SDL_mixer-devel
BuildRequires:	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}curl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Almost everyone has heard of the Worms(R) series of games, developed by Team17.
Worms was created in 1990, the goal of the game consisting of a several teams 
of "worms" fighting to the death on a 2D map. Wormux is heavily influenced by 
all games in this genre, including Scorched Earth and Liero.

Wormux is free software clone of this game concept. Though currently under 
heavy development, it is already very playable, with lots of weapons 
(Dynamite, Baseball Bat, Teleportation, etc.). There are also lots of maps 
available for your battling pleasure! Wormux takes the genre to the next 
level, with great customisation options leading to great gameplay. There 
is a wide selection of teams, from the Aliens to the Chickens. Also, new 
battlefields can be downloaded from the Internet, making strategy an 
important part of each battle.

Though two human players are currently needed to play (unless you have 
a split personality :) the creation of artificial players and network play 
are future goals. So, start downloading today, and fight to become king of 
the garden! 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .cflags
%patch1 -p0 -b .gcc47
%patch2 -p0 -b .lengthfix

%build

#(tpg) get rid of -Werror
sed -i -e 's/-Werror//' src/Makefile.am

%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--with-datadir-name=%{_gamesdatadir}/%{name} \
	--disable-rpath \
	--enable-fribidi

#(tpg) get rid of -Werror
sed -i -e 's/-Werror//' src/Makefile.in

%make

%install
rm -rf %{buildroot}

# allow this script to be executed
chmod +x install-sh

# drop icon extension
perl -pi -e 's/.png//g' data/wormux.desktop


%makeinstall_std localedir=%{_datadir}/locale

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Wormux
Type=Application
Icon=wormux_128x128
Exec=%{_gamesbindir}/%{name}
Terminal=false
StartupNotify=false
GenericName=Arcade Game
GenericName[pl]=Gra zręcznościowa
Comment=A 2D game where funny characters launch funny weapons
Comment[de]=Ein 2D Spiel mit lustigen Figuren und Waffen
Comment[es]=Un juego en 2D donde extraños personajes se destripan con alegría
Comment[fr_FR]=Un jeu en 2D où de drôles de personnages s'étripent joyeusement
Comment[it]=Un gioco in 2D dove dei simpatici personaggi si sparano allegramente
Comment[pl]=Gra 2D, w której zabawne postacie używają zabawnego uzbojenia
Comment[ro]=Un joc în 2D în care personaje amuzante lansează arme amuzante
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
GenericName[fr_FR]=Arcade Game
X-Desktop-File-Install-Version=0.11
EOF


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-list-games
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_128x128.png
%{_mandir}/man6/%{name}.*


%changelog
* Sun Aug 24 2014 bb <bb> 0.9.2.1-3pclos2014
- rebuild for updated libs

* Tue Oct 06 2011 Archie <pclinuxos.ph at gmail.com> 0.9.2.1-2pclos2011
- Rebuild for x86_64

* Sun Apr 25 2010 pcserver <pcserver at hush.com> 0.9.2.1-1pclos2010
- re-import due to hd failure

